Bug 962662 - [online_runtime_card310]Met "Merge conflict" when git pull for most quickstarts in v2 mode
[online_runtime_card310]Met "Merge conflict" when git pull for most quickstar...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 03:52 EDT by Wei Sun
Modified: 2015-05-14 19:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:03:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-14 03:52:06 EDT
Description of problem:
Create some quickstarts as follow README.md,but will meet "Merge conflict" when git pull form remote repo.

Merge conflict quicstarts list:

https://github.com/openshift/BookMarks-openshift-quickstart
https://github.com/openshift/bottle-openshift-quickstart
https://github.com/openshift/capedwarf-example
https://github.com/openshift/CodeIgniterQuickStart
https://github.com/openshift/croogoExample
https://github.com/openshift/django-example
https://github.com/openshift/dokuwiki-quickstart
https://github.com/openshift/drupal-example
https://github.com/openshift/elgg-openshift-quickstart
https://github.com/openshift/etherpad-example
https://github.com/openshift/frogcms-example
https://github.com/openshift/gollum-openshifted
https://github.com/openshift/openshift-hellotornado
https://github.com/openshift/jbossas-mongoDB-quickstart
https://github.com/openshift/joomla-example
https://github.com/openshift/juvia-example
https://github.com/openshift/kitchensink-example
https://github.com/openshift/kitchensink-html5-mobile-example
https://github.com/openshift/mediawiki-example
https://github.com/openshift/openshift-mongo-flask-example
https://github.com/openshift/openshift-myshoppinglist
https://github.com/openshift/nestacms-example
https://github.com/openshift/nodejs-custom-version-openshift
https://github.com/openshift/openshift-ogm-quickstart
https://github.com/openshift/owncloud-openshift-quickstart
https://github.com/openshift/openshiftwebpy
https://github.com/openshift/OSQA-openshift-quickstart
https://github.com/openshift/owncloud-openshift-quickstart
https://github.com/openshift/phpbb-example
https://github.com/openshift/phpmongotweet-example
https://github.com/openshift/piwik-openshift-quickstart
https://github.com/openshift/rails-example
https://github.com/openshift/redmine-openshift-quickstart
https://github.com/openshift/redmine-2.0-openshift-quickstart
https://github.com/openshift/reviewboard-example
https://github.com/openshift/sinatra-example
https://github.com/openshift/sqlbuddy-openshift-quickstart
https://github.com/openshift/sugarcrm-example
https://github.com/openshift/openshift-tomcat-quickstart
https://github.com/openshift/tweetstream-example
https://github.com/openshift/openshift-webpy-example
https://github.com/openshift/wolfcms-example
https://github.com/openshift/spring-eap6-quickstart
https://github.com/openshift/weinre-quickstart

Version-Release number of selected component (if applicable):
devenv_3223

How reproducible:
Always

Steps to Reproduce:
1.create the quickstarts as follow README.md,for example: https://github.com/openshift/BookMarks-openshift-quickstart 
2.
3.
  
Actual results:
[sunwei@dhcp-8-229 bookmarks]$ git pull -s recursive -X theirs upstream master
warning: no common commits
remote: Counting objects: 162, done.
remote: Compressing objects: 100% (103/103), done.
remote: Total 162 (delta 67), reused 150 (delta 55)
Receiving objects: 100% (162/162), 89.62 KiB | 26 KiB/s, done.
Resolving deltas: 100% (67/67), done.
From git://github.com/openshift/BookMarks-openshift-quickstart
 * branch            master     -> FETCH_HEAD
Auto-merging wsgi/static/README
CONFLICT (add/add): Merge conflict in wsgi/static/README
Auto-merging wsgi/application
Auto-merging setup.py
Auto-merging libs/.gitkeep
CONFLICT (add/add): Merge conflict in libs/.gitkeep
Auto-merging data/.gitkeep
CONFLICT (add/add): Merge conflict in data/.gitkeep
Auto-merging README.md
Automatic merge failed; fix conflicts and then commit the result.


Expected results:
Can create quickstart successfully in v2 mode

Additional info:
Comment 1 Wei Sun 2013-05-21 05:14:08 EDT
Check https://github.com/openshift/cakephp-example on devenv_3253,this quickstart has the same issue.

[sunwei@dhcp-8-229 cake]$ git pull -s recursive -X theirs upstream master
warning: no common commits
remote: Counting objects: 2121, done.
remote: Compressing objects: 100% (1297/1297), done.
remote: Total 2121 (delta 654), reused 2015 (delta 597)
Receiving objects: 100% (2121/2121), 2.36 MiB | 174 KiB/s, done.
Resolving deltas: 100% (654/654), done.
From git://github.com/openshift/cakephp-example
 * branch            master     -> FETCH_HEAD
Auto-merging php/index.php
Auto-merging misc/.gitkeep
CONFLICT (add/add): Merge conflict in misc/.gitkeep
Auto-merging libs/.gitkeep
CONFLICT (add/add): Merge conflict in libs/.gitkeep
Auto-merging deplist.txt
CONFLICT (add/add): Merge conflict in deplist.txt
Auto-merging README.md
Automatic merge failed; fix conflicts and then commit the result.
Comment 2 Yujie Zhang 2013-05-21 05:26:20 EDT
Tested rubyonrails on devenv_3253, the app can be created successfully, but got response error as following:

2013-05-21 05:20:53.123 [DEBUG] Found errors on the response object: {} (pid:24400)
2013-05-21 05:20:53.124 [ERROR] Unhandled exception reference #b0c537f507b172b1ccad78c57c1c670a: Failed.
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/lib/active_resource/persistent_connection.rb:178:in `rescue in request'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/lib/active_resource/persistent_connection.rb:145:in `request'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/lib/active_resource/persistent_connection.rb:127:in `block in post'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/lib/active_resource/persistent_connection.rb:275:in `with_auth'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/lib/active_resource/persistent_connection.rb:127:in `post'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/base.rb:1360:in `create'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/observing.rb:19:in `create_with_notifications'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/base.rb:1155:in `save'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/validations.rb:79:in `save_with_validation'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/observing.rb:19:in `save_with_notifications'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/app/models/rest_api/base.rb:303:in `save_with_change_tracking'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.3/app/controllers/applications_controller.rb:153:in `create'
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:428:in `block (3 levels) in _run__1987337471031819417__process_action__256527363750569639__callbacks'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_201'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_61'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_201'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:416:in `block (2 levels) in _run__1987337471031819417__process_action__256527363750569639__callbacks'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_200'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_59'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_200'
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:415:in `block in _run__1987337471031819417__process_action__256527363750569639__callbacks'
Comment 5 Dan McPherson 2013-05-22 12:57:23 EDT
The merge conflict issues should be fixed now.  Some of the quickstarts may have issues beyond the merge but please open bugs in groups based on types of issues found.
Comment 6 Wei Sun 2013-05-23 06:19:28 EDT
Test all quickstarts on devenv_3261,the merge conflict issuse are fixed.

Note You need to log in before you can comment on or make changes to this bug.